Bug 604195 - report --username option should be removed until it is supported by plugins
report --username option should be removed until it is supported by plugins
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 11:16 EDT by David Kutálek
Modified: 2010-11-10 16:29 EST (History)
2 users (show)

See Also:
Fixed In Version: report-0.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:29:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kutálek 2010-06-15 11:16:46 EDT
Description of problem:

report command has a command line parameter --username.
However, usage of this parameter is not implemented in any plugin right now.
Therefore, it should be removed for now to not confuse users.

Version-Release number of selected component (if applicable):

report-0.15-1.el6

How reproducible:

Always

Steps to Reproduce:
1. report --target scp --host localhost --path=/tmp --username=dkutalek ./dummy-report.txt 
2. similar for other targets where username makes sense
  
Actual results:

Report asks for username...

Expected results:

Username given via commandline should be used OR --username parameter should not be available at all.

Additional info:
Comment 1 RHEL Product and Program Management 2010-06-15 11:33:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 David Kutálek 2010-06-17 05:35:32 EDT
I found out that username option from /etc/report.d/scp config file is not used neither. It should be removed from default scp config file until supported.
Comment 3 Gavin Romig-Koch 2010-06-17 16:34:47 EDT
pushed to fedora hosted src repo.
Comment 7 releng-rhel@redhat.com 2010-11-10 16:29:36 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.